package com.ruoyi.system.domain.grid;

import com.ruoyi.system.domain.system.SysOtherappAttachment;

import java.io.Serializable;
import java.util.List;

public class GridHouseInterview implements Serializable {
    private String id;

    /**
     * 住宅id
     *
     * @mbg.generated
     */
    private String houseId;

    /**
     * 所属村社区
     *
     * @mbg.generated
     */
    private String country;

    /**
     * 所属地块wgCode
     *
     * @mbg.generated
     */
    private String wgCode;

    /**
     * 所属地块
     *
     * @mbg.generated
     */
    private String wgValue;

    /**
     * 走访时间
     *
     * @mbg.generated
     */
    private String interviewTime;

    /**
     * 房屋号
     *
     * @mbg.generated
     */
    private String houseName;

    /**
     * 走访日志
     *
     * @mbg.generated
     */
    private String content;

    private String createId;

    /**
     * 走访人姓名
     *
     * @mbg.generated
     */
    private String createName;

    private String createTime;

    /**
     * 经度
     *
     * @mbg.generated
     */
    private String longitude;

    /**
     * 纬度
     *
     * @mbg.generated
     */
    private String latitude;

    /**
     * 中文地址
     *
     * @mbg.generated
     */
    private String address;

    private List<SysOtherappAttachment> attachmentList;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getHouseId() {
        return houseId;
    }

    public void setHouseId(String houseId) {
        this.houseId = houseId;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getWgCode() {
        return wgCode;
    }

    public void setWgCode(String wgCode) {
        this.wgCode = wgCode;
    }

    public String getWgValue() {
        return wgValue;
    }

    public void setWgValue(String wgValue) {
        this.wgValue = wgValue;
    }

    public String getInterviewTime() {
        return interviewTime;
    }

    public void setInterviewTime(String interviewTime) {
        this.interviewTime = interviewTime;
    }

    public String getHouseName() {
        return houseName;
    }

    public void setHouseName(String houseName) {
        this.houseName = houseName;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getCreateId() {
        return createId;
    }

    public void setCreateId(String createId) {
        this.createId = createId;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public List<SysOtherappAttachment> getAttachmentList() {
        return attachmentList;
    }

    public void setAttachmentList(List<SysOtherappAttachment> attachmentList) {
        this.attachmentList = attachmentList;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", houseId=").append(houseId);
        sb.append(", country=").append(country);
        sb.append(", wgCode=").append(wgCode);
        sb.append(", wgValue=").append(wgValue);
        sb.append(", interviewTime=").append(interviewTime);
        sb.append(", houseName=").append(houseName);
        sb.append(", content=").append(content);
        sb.append(", createId=").append(createId);
        sb.append(", createName=").append(createName);
        sb.append(", createTime=").append(createTime);
        sb.append(", longitude=").append(longitude);
        sb.append(", latitude=").append(latitude);
        sb.append(", address=").append(address);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        GridHouseInterview other = (GridHouseInterview) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getHouseId() == null ? other.getHouseId() == null : this.getHouseId().equals(other.getHouseId()))
            && (this.getCountry() == null ? other.getCountry() == null : this.getCountry().equals(other.getCountry()))
            && (this.getWgCode() == null ? other.getWgCode() == null : this.getWgCode().equals(other.getWgCode()))
            && (this.getWgValue() == null ? other.getWgValue() == null : this.getWgValue().equals(other.getWgValue()))
            && (this.getInterviewTime() == null ? other.getInterviewTime() == null : this.getInterviewTime().equals(other.getInterviewTime()))
            && (this.getHouseName() == null ? other.getHouseName() == null : this.getHouseName().equals(other.getHouseName()))
            && (this.getContent() == null ? other.getContent() == null : this.getContent().equals(other.getContent()))
            && (this.getCreateId() == null ? other.getCreateId() == null : this.getCreateId().equals(other.getCreateId()))
            && (this.getCreateName() == null ? other.getCreateName() == null : this.getCreateName().equals(other.getCreateName()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getLongitude() == null ? other.getLongitude() == null : this.getLongitude().equals(other.getLongitude()))
            && (this.getLatitude() == null ? other.getLatitude() == null : this.getLatitude().equals(other.getLatitude()))
            && (this.getAddress() == null ? other.getAddress() == null : this.getAddress().equals(other.getAddress()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getHouseId() == null) ? 0 : getHouseId().hashCode());
        result = prime * result + ((getCountry() == null) ? 0 : getCountry().hashCode());
        result = prime * result + ((getWgCode() == null) ? 0 : getWgCode().hashCode());
        result = prime * result + ((getWgValue() == null) ? 0 : getWgValue().hashCode());
        result = prime * result + ((getInterviewTime() == null) ? 0 : getInterviewTime().hashCode());
        result = prime * result + ((getHouseName() == null) ? 0 : getHouseName().hashCode());
        result = prime * result + ((getContent() == null) ? 0 : getContent().hashCode());
        result = prime * result + ((getCreateId() == null) ? 0 : getCreateId().hashCode());
        result = prime * result + ((getCreateName() == null) ? 0 : getCreateName().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getLongitude() == null) ? 0 : getLongitude().hashCode());
        result = prime * result + ((getLatitude() == null) ? 0 : getLatitude().hashCode());
        result = prime * result + ((getAddress() == null) ? 0 : getAddress().hashCode());
        return result;
    }
}
